Open CASCADE Technology: StepVisual_Array1OfPresentationStyleSelect Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepVisual_Array1OfPresentationStyleSelect Class Reference

`#include <StepVisual_Array1OfPresentationStyleSelect.hxx>`

## Public Member Functions
| StepVisual_Array1OfPresentationStyleSelect (const Standard_Integer Low, const Standard_Integer Up)
| StepVisual_Array1OfPresentationStyleSelect (const StepVisual_PresentationStyleSelect &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const StepVisual_PresentationStyleSelect &V)
void | Destroy ()
| ~StepVisual_Array1OfPresentationStyleSelect ()
Standard_Boolean | IsAllocated () const
const StepVisual_Array1OfPresentationStyleSelect & | Assign (const StepVisual_Array1OfPresentationStyleSelect &Other)
const StepVisual_Array1OfPresentationStyleSelect & | operator= (const StepVisual_Array1OfPresentationStyleSelect &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_PresentationStyleSelect &Value)
const StepVisual_PresentationStyleSelect & | Value (const Standard_Integer Index) const
const StepVisual_PresentationStyleSelect & | operator() (const Standard_Integer Index) const
StepVisual_PresentationStyleSelect & | ChangeValue (const Standard_Integer Index)
StepVisual_PresentationStyleSelect & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepVisual_Array1OfPresentationStyleSelect::StepVisual_Array1OfPresentationStyleSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepVisual_Array1OfPresentationStyleSelect::StepVisual_Array1OfPresentationStyleSelect | ( | const StepVisual_PresentationStyleSelect & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepVisual_Array1OfPresentationStyleSelect::~StepVisual_Array1OfPresentationStyleSelect | ( |  | ) |
| inline

## Member Function Documentation

const StepVisual_Array1OfPresentationStyleSelect& StepVisual_Array1OfPresentationStyleSelect::Assign | ( | const StepVisual_Array1OfPresentationStyleSelect & | Other | ) |

StepVisual_PresentationStyleSelect& StepVisual_Array1OfPresentationStyleSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepVisual_Array1OfPresentationStyleSelect::Destroy | ( |  | ) |

void StepVisual_Array1OfPresentationStyleSelect::Init | ( | const StepVisual_PresentationStyleSelect & | V | ) |

Standard_Boolean StepVisual_Array1OfPresentationStyleSelect::IsAllocated | ( |  | ) | const

Standard_Integer StepVisual_Array1OfPresentationStyleSelect::Length | ( |  | ) | const

Standard_Integer StepVisual_Array1OfPresentationStyleSelect::Lower | ( |  | ) | const

const StepVisual_PresentationStyleSelect& StepVisual_Array1OfPresentationStyleSelect::operator() | ( | const Standard_Integer | Index | ) | const
| inline

StepVisual_PresentationStyleSelect& StepVisual_Array1OfPresentationStyleSelect::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepVisual_Array1OfPresentationStyleSelect& StepVisual_Array1OfPresentationStyleSelect::operator= | ( | const StepVisual_Array1OfPresentationStyleSelect & | Other | ) |
| inline

void StepVisual_Array1OfPresentationStyleSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_PresentationStyleSelect & | Value
| ) |  |

Standard_Integer StepVisual_Array1OfPresentationStyleSelect::Upper | ( |  | ) | const

const StepVisual_PresentationStyleSelect& StepVisual_Array1OfPresentationStyleSelect::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepVisual_Array1OfPresentationStyleSelect.hxx